Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RemoveDB Method (String, Boolean, Transaction)
DatabaseEnvironment Class See Also Send Feedback

Remove the underlying file represented by file, incidentally removing all of the databases it contained.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public void RemoveDB(
    	string file,
    	bool autoCommit,
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Sub RemoveDB ( _
    	file As String, _
    	autoCommit As Boolean, _
    	txn As Transaction _
    )

Visual C++
    public:
    void RemoveDB(
    	String^ file,
    	bool autoCommit,
    	Transaction^ txn
    )

#### Parameters

file
  Type: System..::.String
  The physical file to be removed.

autoCommit
  Type: System..::.Boolean
  If true, enclose RemoveDB within a transaction. If the call succeeds, changes made by the operation will be recoverable. If the call fails, the operation will have made no changes.

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null. If null, but autoCommit or AutoCommit is true, the operation will be implicitly transaction protected.

# See Also

DatabaseEnvironment Class
RemoveDB Overload
BerkeleyDB Namespace